Videsh Yoga - Foreign Travel¶
6 endpoint(s).
| Endpoint | Method | Summary | Auth |
|---|---|---|---|
/api/v1/videsh-yoga/analyze |
POST |
Analyze Videsh Yoga | |
/api/v1/videsh-yoga/direction |
POST |
Get Foreign Direction | |
/api/v1/videsh-yoga/success-analysis |
POST |
Get Success Analysis | |
/api/v1/videsh-yoga/summary |
POST |
Get Videsh Yoga Summary | |
/api/v1/videsh-yoga/timing |
POST |
Get Foreign Timing | |
/api/v1/videsh-yoga/yogas-only |
POST |
Get Videsh Yogas |
POST /api/v1/videsh-yoga/analyze¶
Analyze Videsh Yoga
Complete Videsh Yoga (Foreign Settlement/Travel) Analysis.
Analyzes: - Foreign yogas in the chart - Type of foreign connection (Settlement/Job/Education/etc.) - Timing predictions (Dasha-based) - Direction and country recommendations - Success vs struggle abroad - Return vs permanent likelihood
Request body (application/json)
| Field | Type | Required | Description |
|---|---|---|---|
date |
string |
yes | Birth date in YYYY-MM-DD format |
time |
string |
yes | Birth time in HH:MM:SS format (24-hour) |
latitude |
number |
yes | Birth place latitude |
longitude |
number |
yes | Birth place longitude |
timezone |
string |
no | Timezone name (e.g., Asia/Kolkata) |
place_name |
any |
no | Birth place name for display |
name |
string |
yes | Native's name (required) |
email |
any |
no | Email (optional, for follow-ups) |
phone |
any |
no | Phone (optional, for WhatsApp follow-ups) |
current_location |
any |
no | Current location for muhurta calculations |
gender |
any |
no | Gender of native (male/female) |
marital_status |
any |
no | Current marital status |
marriage_date |
any |
no | Marriage date if married (YYYY-MM-DD) |
include_timing |
boolean |
no | Include timing predictions |
include_direction |
boolean |
no | Include direction/country predictions |
mahadasha |
any |
no | Current Mahadasha lord |
antardasha |
any |
no | Current Antardasha lord |
Response 200 — VedicApiResponse
Example
curl -X POST 'https://api.example.com/api/v1/videsh-yoga/analyze' \
-H 'Authorization: Bearer <API_KEY>'
POST /api/v1/videsh-yoga/direction¶
Get Foreign Direction
Get favorable direction and countries for foreign travel.
Returns primary/secondary directions and country recommendations.
Request body (application/json)
| Field | Type | Required | Description |
|---|---|---|---|
date |
string |
yes | Birth date in YYYY-MM-DD format |
time |
string |
yes | Birth time in HH:MM:SS format (24-hour) |
latitude |
number |
yes | Birth place latitude |
longitude |
number |
yes | Birth place longitude |
timezone |
string |
no | Timezone name (e.g., Asia/Kolkata) |
place_name |
any |
no | Birth place name for display |
name |
string |
yes | Native's name (required) |
email |
any |
no | Email (optional, for follow-ups) |
phone |
any |
no | Phone (optional, for WhatsApp follow-ups) |
current_location |
any |
no | Current location for muhurta calculations |
gender |
any |
no | Gender of native (male/female) |
marital_status |
any |
no | Current marital status |
marriage_date |
any |
no | Marriage date if married (YYYY-MM-DD) |
Response 200 — VedicApiResponse
Example
curl -X POST 'https://api.example.com/api/v1/videsh-yoga/direction' \
-H 'Authorization: Bearer <API_KEY>'
POST /api/v1/videsh-yoga/success-analysis¶
Get Success Analysis
Analyze potential success vs struggle abroad.
Returns success score, positive factors, and caution factors.
Request body (application/json)
| Field | Type | Required | Description |
|---|---|---|---|
date |
string |
yes | Birth date in YYYY-MM-DD format |
time |
string |
yes | Birth time in HH:MM:SS format (24-hour) |
latitude |
number |
yes | Birth place latitude |
longitude |
number |
yes | Birth place longitude |
timezone |
string |
no | Timezone name (e.g., Asia/Kolkata) |
place_name |
any |
no | Birth place name for display |
name |
string |
yes | Native's name (required) |
email |
any |
no | Email (optional, for follow-ups) |
phone |
any |
no | Phone (optional, for WhatsApp follow-ups) |
current_location |
any |
no | Current location for muhurta calculations |
gender |
any |
no | Gender of native (male/female) |
marital_status |
any |
no | Current marital status |
marriage_date |
any |
no | Marriage date if married (YYYY-MM-DD) |
Response 200 — VedicApiResponse
Example
curl -X POST 'https://api.example.com/api/v1/videsh-yoga/success-analysis' \
-H 'Authorization: Bearer <API_KEY>'
POST /api/v1/videsh-yoga/summary¶
Get Videsh Yoga Summary
Get a quick summary of Videsh Yoga analysis.
Returns a brief overview without detailed breakdowns.
Request body (application/json)
| Field | Type | Required | Description |
|---|---|---|---|
date |
string |
yes | Birth date in YYYY-MM-DD format |
time |
string |
yes | Birth time in HH:MM:SS format (24-hour) |
latitude |
number |
yes | Birth place latitude |
longitude |
number |
yes | Birth place longitude |
timezone |
string |
no | Timezone name (e.g., Asia/Kolkata) |
place_name |
any |
no | Birth place name for display |
name |
string |
yes | Native's name (required) |
email |
any |
no | Email (optional, for follow-ups) |
phone |
any |
no | Phone (optional, for WhatsApp follow-ups) |
current_location |
any |
no | Current location for muhurta calculations |
gender |
any |
no | Gender of native (male/female) |
marital_status |
any |
no | Current marital status |
marriage_date |
any |
no | Marriage date if married (YYYY-MM-DD) |
Response 200 — VedicApiResponse
Example
curl -X POST 'https://api.example.com/api/v1/videsh-yoga/summary' \
-H 'Authorization: Bearer <API_KEY>'
POST /api/v1/videsh-yoga/timing¶
Get Foreign Timing
Get timing predictions for foreign travel/settlement.
Returns favorable dashas, peak periods, and transit triggers.
Request body (application/json)
| Field | Type | Required | Description |
|---|---|---|---|
date |
string |
yes | Birth date in YYYY-MM-DD format |
time |
string |
yes | Birth time in HH:MM:SS format (24-hour) |
latitude |
number |
yes | Birth place latitude |
longitude |
number |
yes | Birth place longitude |
timezone |
string |
no | Timezone name (e.g., Asia/Kolkata) |
place_name |
any |
no | Birth place name for display |
name |
string |
yes | Native's name (required) |
email |
any |
no | Email (optional, for follow-ups) |
phone |
any |
no | Phone (optional, for WhatsApp follow-ups) |
current_location |
any |
no | Current location for muhurta calculations |
gender |
any |
no | Gender of native (male/female) |
marital_status |
any |
no | Current marital status |
marriage_date |
any |
no | Marriage date if married (YYYY-MM-DD) |
include_timing |
boolean |
no | Include timing predictions |
include_direction |
boolean |
no | Include direction/country predictions |
mahadasha |
any |
no | Current Mahadasha lord |
antardasha |
any |
no | Current Antardasha lord |
Response 200 — VedicApiResponse
Example
curl -X POST 'https://api.example.com/api/v1/videsh-yoga/timing' \
-H 'Authorization: Bearer <API_KEY>'
POST /api/v1/videsh-yoga/yogas-only¶
Get Videsh Yogas
Get only the foreign yogas found in the chart.
Returns the list of primary foreign yogas without timing/direction predictions.
Request body (application/json)
| Field | Type | Required | Description |
|---|---|---|---|
date |
string |
yes | Birth date in YYYY-MM-DD format |
time |
string |
yes | Birth time in HH:MM:SS format (24-hour) |
latitude |
number |
yes | Birth place latitude |
longitude |
number |
yes | Birth place longitude |
timezone |
string |
no | Timezone name (e.g., Asia/Kolkata) |
place_name |
any |
no | Birth place name for display |
name |
string |
yes | Native's name (required) |
email |
any |
no | Email (optional, for follow-ups) |
phone |
any |
no | Phone (optional, for WhatsApp follow-ups) |
current_location |
any |
no | Current location for muhurta calculations |
gender |
any |
no | Gender of native (male/female) |
marital_status |
any |
no | Current marital status |
marriage_date |
any |
no | Marriage date if married (YYYY-MM-DD) |
Response 200 — VedicApiResponse
Example
curl -X POST 'https://api.example.com/api/v1/videsh-yoga/yogas-only' \
-H 'Authorization: Bearer <API_KEY>'